org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class PathIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.PathIteration

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>
  Direct Known Subclasses:
    LimitedSizePathIterator

      public class PathIteration
      extends LookAheadIteration<BindingSet,QueryEvaluationException>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `PathIteration.ValuePair`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathIteration(StrictEvaluationStrategy evaluationStrategyImpl, StatementPattern.Scope scope, Var startVar, TupleExpr pathExpression, Var endVar, Var contextVar, long minLength, BindingSet bindings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `add(Set<PathIteration.ValuePair> valueSet, PathIteration.ValuePair vp)`
    `protected boolean` | `addToQueue(Queue<PathIteration.ValuePair> valueQueue2, PathIteration.ValuePair vp)`
    `Var` | `createAnonVar(String varName)`
    `protected BindingSet` | `getNextElement()` Gets the next element.
    `protected void` | `handleClose()` Called by `AbstractCloseableIteration.close()` when it is called for the first time.
    `protected boolean` | `isUnbound(Var var, BindingSet bindings)`
    `protected Queue<PathIteration.ValuePair>` | `makeQueue()`
    `protected Set<PathIteration.ValuePair>` | `makeSet()`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### PathIteration

          public PathIteration(StrictEvaluationStrategy evaluationStrategyImpl,
                               StatementPattern.Scope scope,
                               Var startVar,
                               TupleExpr pathExpression,
                               Var endVar,
                               Var contextVar,
                               long minLength,
                               BindingSet bindings)
                        throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

  - ### Method Detail

    - #### getNextElement

          protected BindingSet getNextElement()
                                       throws QueryEvaluationException

      Description copied from class: `LookAheadIteration`
      Gets the next element. Subclasses should implement this method so that it returns the next element.
      Specified by:
        `getNextElement` in class `LookAheadIteration<BindingSet,QueryEvaluationException>`
      Returns:
        The next element, or `null` if no more elements are available.
      Throws:
        `QueryEvaluationException`

    - #### handleClose

          protected void handleClose()
                              throws QueryEvaluationException

      Description copied from class: `AbstractCloseableIteration`
      Called by `AbstractCloseableIteration.close()` when it is called for the first time. This method is only called once on each iteration. By default, this method does nothing.
      Overrides:
        `handleClose` in class `LookAheadIteration<BindingSet,QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`

    - #### addToQueue

          protected boolean addToQueue(Queue<PathIteration.ValuePair> valueQueue2,
                                       PathIteration.ValuePair vp)
                                throws QueryEvaluationException

      Parameters:
        `valueQueue2` -
        `vp` -
      Throws:
        `QueryEvaluationException`

    - #### add

          protected boolean add(Set<PathIteration.ValuePair> valueSet,
                                PathIteration.ValuePair vp)
                         throws QueryEvaluationException

      Parameters:
        `valueSet` -
        `vp` -
      Throws:
        `QueryEvaluationException`

    - #### isUnbound

          protected boolean isUnbound(Var var,
                                      BindingSet bindings)

    - #### makeSet

          protected Set<PathIteration.ValuePair> makeSet()

    - #### makeQueue

          protected Queue<PathIteration.ValuePair> makeQueue()

    - #### createAnonVar

          public Var createAnonVar(String varName)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.